'******************************************************************************
' Module:  AssemInfo.cs
' Notices: Copyright (c) 2002 Jeffrey Richter
' *****************************************************************************


Imports System.Reflection


' //////////////////////////////////////////////////////////////////////////////


' Set the version CompanyName, LegalCopyright and LegalTrademarks fields
<Assembly:AssemblyCompany("The Jeffrey Richter Company")>
<Assembly:AssemblyCopyright("Copyright (c) 2002 Jeffrey Richter")>
<Assembly:AssemblyTrademark( _
   "JeffTypes is a registered trademark of the Richter Company")>


' //////////////////////////////////////////////////////////////////////////////


' Set the version ProductName and ProductVersion fields
<Assembly:AssemblyProduct("Jeffrey Richter Type Library")>
<Assembly:AssemblyInformationalVersion("2.0.0.0")>


' //////////////////////////////////////////////////////////////////////////////


' Set the version FileVersion, AssemblyVersion, 
' FileDescription, and Comments fields.
<Assembly:AssemblyFileVersion("1.0.0.0")>
<Assembly:AssemblyVersion("3.0.0.0")>
<Assembly:AssemblyTitle("Jeff's type assembly")>
<Assembly:AssemblyDescription("This assembly contains Jeff's types")>


' //////////////////////////////////////////////////////////////////////////////


' Set the assembly's culture (""=neutral).
<Assembly:AssemblyCulture("")>


' //////////////////////////////////////////////////////////////////////////////


#If StronglyNamedAssembly = 0 Then

' Weakly named assemblies are never signed
<Assembly:AssemblyDelaySign(False)>

#Else

' Strongly named assemblies are usually delay signed while building and 
' completely signed using SN.exe's -R or -Rc switch.
<Assembly:AssemblyDelaySign(True)>

   #If SignedUsingACryptoServiceProvider = 0 Then

   ' Give the name of the file that contains the public/private key pair.
   ' If delay signing, only the public key is used.
   <Assembly:AssemblyKeyFile("MyCompany.keys")>

   ' Note: If AssemblyKeyFile and AssemblyKeyName are both specified, 
   ' here's what happens...
   ' 1) If the container exists, the key file is ignored.
   ' 2) If the container doesn't exist, the keys from the key 
   '    file are copied into the container and the assembly is signed.

   #Else

   ' Give the name of the cryptographic service provider (CSP) container
   ' that contains the public/private key pair. 
   ' If delay signing, only the public key is used.
   <Assembly:AssemblyKeyName("")>

   #End If

#End If


'/////////////////////////////// End of File //////////////////////////////////
