' *****************************************************************************
' Module:  EncodingProperties.vb
' Notices: Copyright (c) 2002 Jeffrey Richter
' *****************************************************************************


Imports System
Imports System.Text
Imports Microsoft.VisualBasic


' *****************************************************************************


Class App
   Shared Sub Main()
      Try
         Show(Encoding.Unicode)
         Show(Encoding.BigEndianUnicode)
         Show(Encoding.UTF8)
         Show(Encoding.UTF7)
         Show(Encoding.ASCII)
         Show(Encoding.Default)
         Show(Encoding.GetEncoding(0)) ' Same as Default
         Console.WriteLine()
         Console.WriteLine("Below are some specific code pages:")
         Show(Encoding.GetEncoding(437))
         Show(Encoding.GetEncoding(28595))
         Show(Encoding.GetEncoding(57008))
         Show(Encoding.GetEncoding(54936))
         Show(Encoding.GetEncoding(874))
      Catch e As ArgumentException
         Console.WriteLine(e.Message)
         Console.WriteLine( _
            "Use the Regional and Language Options Control Panel applet " & _
            "to install support for this code page.")
         Console.WriteLine( _
            "Specifically, you may need to select the Languages tab and " & _
            "turn on one or both of the following:")
         Console.WriteLine(" Install files for complex script and " & _
            "right-to-left languages")
         Console.WriteLine(" Install files for East Asian languages")
      End Try
   End Sub

   Shared Sub Show(ByVal e As Encoding)
      Console.WriteLine( _
         "{2}{1}" & _
         "{0}CodePage={3}, WindowsCodePage={4}{1}" & _
         "{0}WebName={5}, HeaderName={6}, BodyName={7}{1}" & _
         "{0}IsBrowserDisplay={8}, IsBrowserSave={9}{1}" & _
         "{0}IsMailNewsDisplay={10}, IsMailNewsSave={11}{1}", _
         ControlChars.Tab, Environment.NewLine, _
         e.EncodingName, _
         e.CodePage, e.WindowsCodePage, _
         e.WebName, e.HeaderName, e.BodyName, _
         e.IsBrowserDisplay, e.IsBrowserSave, _
         e.IsMailNewsDisplay, e.IsMailNewsSave)
   End Sub
End Class


' //////////////////////////////// End of File ////////////////////////////////
